<template>
  <div>
        <div  class="text-center pt-4" colspan="5 ">
            <div class="spinner-border" role="status">
                <span class="visually-hidden">Loading...</span>
            </div>
        </div>
  </div>
</template>

<script>
import { mapMutations, mapGetters } from "vuex";
export default {
  data() {
    return {
      code: "",
      provider: "",
    };
  },

  computed: {
    ...mapGetters({
      transactions: "auth/transactions",
      user: "auth/user",
      alert: "alert/alert",
      alertError: "alert/alertError",
      alertText: "alert/alertText",
    }),
  },
  methods: {
    ...mapMutations({
      setAuth: "auth/set",
      setIsLogin: "auth/setisLogin",
      getAlert: "alert/getAlert",
      closeAlert: "alert/closeAlert",
    }),

    go(provider, code){
        let url = '/api/Auth/Sosialite/' + provider+ '/callback?code=' + code

        axios.get(url)
        .then((res) => {
            let dataUserLogin = res.data;
            this.setAuth(dataUserLogin);
             this.getAlert("Login Berhasil");
          this.$router.push("/");

        })
        .catch((err) => {
            console.error(err);
        })
    }
  },

  mounted(){
      this.code = this.$route.query.code
      this.provider = this.$route.path.split('/')[3]

// console.log(this.code);
// console.log(this.provider);
      this.go(this.provider, this.code)

  }
};
</script>
